file (1:5.47-3) unstable; urgency=low

  * Finally upload 5.47 to unstable
  * Packaging cleanup

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 31 May 2026 18:05:15 +0200

file (1:5.47-2) experimental; urgency=medium

  * Upload to experimental - there might still be regressions
  * Cherry-pick fixes for
    * FTBFS on big endian
    * Mis-detecting of some PDF files when using libmagic
  * Fix typo in previous changelog entry

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 24 May 2026 20:50:48 +0200

file (1:5.47-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 5.47
    Closes: #1106864, #1106866, #1115393, #1119250, #1122101, #1128210
  * Improve roff in documentation. Closes: #1134911

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 16 May 2026 16:09:24 +0200

file (1:5.46-5) unstable; urgency=high

  * Cherry-pick "Some zip files are misclassified as data".
    Closes: #1102577

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 11 Apr 2025 07:25:13 +0200

file (1:5.46-4) unstable; urgency=high

  * Cherry-pick "Fix stack overrun". Closes: #1101470

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 28 Mar 2025 18:53:57 +0100

file (1:5.46-3) unstable; urgency=medium

  * Cherry-pick some fixes from upstream. Closes: #1100712

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 20 Mar 2025 20:08:48 +0100

file (1:5.46-2) unstable; urgency=medium

  * Upload to unstable
  * Fix size information for 128x128 ico files. Closes: #1098991
  * Stricter PostScript magic. Closes: #988451

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 13 Mar 2025 20:27:59 +0100

file (1:5.46-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 5.46
    Closes: #800328, #976313
  * libmagic-mgc: Drop old versioned dependency, also Closes: #1069915
    Thanks Steve Langasek, and rest in peace.

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 02 Mar 2025 13:36:20 +0100

file (1:5.45-3) unstable; urgency=medium

  * Cherry-pick "Recognize unified diff output". Closes: #1063522

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 01 Mar 2024 18:30:40 +0100

file (1:5.45-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063113

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 11:59:20 +0000

file (1:5.45-2) unstable; urgency=medium

  * Upload to unstable

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 03 Sep 2023 11:40:05 +0200

file (1:5.45-1) experimental; urgency=medium

  * New upstream version 5.45
  * Upload to experimental

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 30 Jul 2023 21:39:59 +0200

file (1:5.44-3) unstable; urgency=medium

  * Cherry-pick fixes related to APK file detection

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 28 Jan 2023 19:17:20 +0100

file (1:5.44-2) unstable; urgency=medium

  * Cherry-pick several commits to improve the detection of APK files.
    Closes: #849782

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 15 Jan 2023 19:15:20 +0100

file (1:5.44-1) unstable; urgency=medium

  * New upstream version 5.44
  * Cherry-pick "Pyzip improvements". Closes: #1026976
  * Detect smali files

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 10 Jan 2023 21:39:37 +0100

file (1:5.43-3) experimental; urgency=medium

  * Refine autopkgtest

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 22 Dec 2022 21:39:48 +0100

file (1:5.43-2) experimental; urgency=medium

  * Upload to experimental
  * Include all upstream commits since the 5.43 release.
    Closes: #1024639, #1026460

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 21 Dec 2022 22:10:41 +0100

file (1:5.43-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 5.43. Closes: #922874, #1012426

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 11 Oct 2022 21:41:11 +0200

file (1:5.41-4) unstable; urgency=medium

  * Use the just-built file executable only if it exists

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 24 Apr 2022 12:49:37 +0200

file (1:5.41-3) unstable; urgency=medium

  * Cherry-pick commit to avoid mis-detection of .dbf as executable

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 24 Mar 2022 18:07:09 +0100

file (1:5.41-2) unstable; urgency=medium

  * Upload to unstable

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 19 Nov 2021 19:16:34 +0100

file (1:5.41-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 5.41. Closes: #810501

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 29 Oct 2021 19:10:37 +0200

file (1:5.39-3) unstable; urgency=medium

  * Upload to unstable

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 19 Nov 2020 22:21:06 +0100

file (1:5.39-2) experimental; urgency=medium

  * Upload to experimental
  * Cherry-pick commit "Include # (alternate format) to the list of
    uninteresting formats"

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 03 Nov 2020 08:35:01 +0100

file (1:5.39-1) experimental; urgency=medium

  * New upstream version 5.39, upload to experimental

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 31 Oct 2020 11:12:40 +0100

file (1:5.38-5) unstable; urgency=medium

  * Change default for name/use to 50. Closes: #928009
  * Fix regression in detection of troff files. Closes: #949878

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 16 May 2020 21:55:21 +0200

file (1:5.38-4) unstable; urgency=medium

  * Use the just-built file executable when running several debhelper
    programs. Closes: #948619
  * Explicitly disable seccomp support. Closes: #948522

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 16 Jan 2020 21:39:11 +0100

file (1:5.38-3) unstable; urgency=medium

  * Revert upstream commit "... count as dynamically linked only the
    binaries that have an interpreter". Closes: #948269

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 06 Jan 2020 12:22:22 +0100

file (1:5.38-2) unstable; urgency=medium

  * Upload to unstable

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 05 Jan 2020 21:25:41 +0100

file (1:5.38-1) experimental; urgency=medium

  * New upstream version 5.38, upload to experimental
    Closes: #939818
  * Disable WE32K executables. Closes: #913867

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 19 Dec 2019 20:19:12 +0100

file (1:5.37-6) unstable; urgency=high

  * Cherry-pick commit to restrict the number of CDF_VECTOR elements.
    Closes: #942830 [CVE-2019-18218]

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 22 Oct 2019 21:05:34 +0200

file (1:5.37-5) unstable; urgency=medium

  * Re-disable seccomp support, not feasible yet.
    Closes: #932480, #932481, #932762, #932947

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 26 Jul 2019 16:20:28 +0200

file (1:5.37-4) unstable; urgency=medium

  * Cherry-pick two commits that fine-tune seccomp handling
  * Allow syscalls make by libfakeroot. Closes: #932762

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 23 Jul 2019 01:34:12 +0200

file (1:5.37-3) unstable; urgency=medium

  * Cherry-pick "Always support the --no-sandbox option"

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 19 Jul 2019 23:33:03 +0200

file (1:5.37-2) unstable; urgency=medium

  * New upstream version 5.37, upload to unstable
  * Refine seccomp support. Closes: #931985
  * Cherry-pick "Add lzma decompression support"
  * Cherry-pick "Add lzma and bzip built-in decompression support"

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 19 Jul 2019 16:18:13 +0200

file (1:5.37-1) experimental; urgency=medium

  * New upstream version 5.37, upload to experimental
  * Enable seccomp support. Closes: #917930

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 07 Jul 2019 18:24:43 +0200

file (1:5.35-4) unstable; urgency=medium

  * Cherry-pick fix for JSON detection. Closes: 922874

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 02 Mar 2019 08:05:54 +0100

file (1:5.35-3) unstable; urgency=medium

  * Cherry-pick many commits since 5.35 release that seem wise to
    include in buster.
    * Closes: #922967 [CVE-2019-8904]
    * Closes: #922968 [CVE-2019-8905 CVE-2019-8907]
    * Closes: #922969 [CVE-2019-8906]
  * Cherry-pick two documentation fix commits

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 01 Mar 2019 09:27:11 +0100

file (1:5.35-2) unstable; urgency=medium

  * Upload to unstable
  * Clarify manpage: seccomp is disabled for the time being (#917930)

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 11 Jan 2019 17:26:27 +0100

file (1:5.35-1) experimental; urgency=medium

  * New upstream version 5.35, upload to experimental

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 03 Nov 2018 14:37:11 +0100

file (1:5.34-2) unstable; urgency=medium

  * Cherry-pick from upstream: Handle [elf] files without program
    headers gracefully. Closes: #882310

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 05 Aug 2018 19:53:19 +0200

file (1:5.34-1) experimental; urgency=medium

  * New upstream version 5.34, upload to experimental
  * Fixes:
    - Detect FITS image data. Closes: #857999
    - Don't mis-detect enigmail properties. Closes: #903318
  * Also add preliminary magic for:
    - AutoCAD Drawing Exchange Format. Closes: #702744
    - Extended Display Identification Data (EDID). Closes: #896932
    - SketchUp files. Closes: #903693

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 26 Jul 2018 07:28:30 +0200

file (1:5.33-3) unstable; urgency=high

  * Avoid reading past the end of buffer. Closes: #901351
    [CVE-2018-10360]

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 11 Jun 2018 22:52:24 +0200

file (1:5.33-2) unstable; urgency=medium

  * Recognize ia64 and amd64 COFF files. Closes: #877643
  * Disable erroneous DBPF detection that breaks SQLite and some
    more. Closes: 897153

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 29 Apr 2018 12:13:32 +0200

file (1:5.33-1) unstable; urgency=low

  * New upstream version 5.33

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 24 Apr 2018 07:39:10 +0200

file (1:5.32-2) unstable; urgency=medium

  * No longer ship python-magic libraries, they are now provided
    by src:python-magic

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 13 Feb 2018 21:43:38 +0100

file (1:5.32-1) unstable; urgency=high

  * New upstream version 5.32

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 04 Sep 2017 18:20:35 +0200

file (1:5.31-1) unstable; urgency=medium

  * New upstream version 5.31

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 06 Aug 2017 17:29:56 +0200

file (1:5.30-1) unstable; urgency=high

  * New upstream version 5.30
  * Cherry-pick commits that fix issues found by oss-fuzz
  * Revert new features introduced since 1:5.29-3

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 29 Apr 2017 10:57:11 +0200

file (1:5.29-3) unstable; urgency=medium

  * Restore full local.support-local-definitions-in-etc-magic patch.
    Closes: #852476
  * Include all upstream commits since the 5.29 release
  * Improve detection of Flash data. Closes: #838860

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 26 Jan 2017 00:29:24 +0100

file (1:5.29-2) unstable; urgency=medium

  * Include all upstream commits since the 5.29 release. Addresses:
    - Detect compiled YARA rules. Closes: #833872
    - Detect old Word for Mac documents. Closes: #842117
  * Disable detection of Algol68 files, way too many false positives

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 13 Dec 2016 16:06:43 +0100

file (1:5.29-1) unstable; urgency=medium

  * New upstream version 5.29. Addresses (in order of appearance):
    - "no read permission" if read from empty pipe. Closes: #508963
    - Mistakes hungarian text as dos executables. Closes: #641012
    - Does not recognize some GPG key public rings. Closes: #729286
    - Show more information for MySQL files. Closes: #751826
    - Linux kernel version string truncated. Closes: #756949
    - Document file's '-d' option. Closes: #764462
    - Detect JPEG-XR. Closes: #771303
    - Detect Material exchange container format (mxf). Closes: #782744
    - Strengthen detection of Embedded OpenType (EOT). Closes: #784572
    - Mistakes some text as bitmap. Closes: #799352
    - Dectect swp files from nano, vim, and kate. Closes: #803219
    - Mistakes some SVG files as HTML. Closes: #829199
  * Fix FTCBFS: Remove stage1 profile in favour of a proper arch/indep
    split. Thanks Helmut Grohne. Closes: #841030

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 25 Oct 2016 21:09:24 +0200

file (1:5.28-4) unstable; urgency=low

  * Ship the compiled magic file in a separate package so libmagic1 is
    finally multi-arch compliant. Thanks Jakub Wilk for the final
    impetus and suggestions. Closes: #670006 (take two)
  * Declare compliance with Debian policy 3.9.8

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 21 Jul 2016 21:42:43 +0200

file (1:5.28-3) unstable; urgency=low

  * Packaging cleanup, no code changes
    - No longer ship file-dbg, use -dbgsym instead
    - Remove cruft: lintian override, obsolete substvars, explicit
      usage of xz
    - Re-word package descriptions

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 17 Jul 2016 14:03:33 +0200

file (1:5.28-2) unstable; urgency=high

  * Enable full hardening build
  * Cherry-pick commits since 5.28 release:
    - Avoid "can't break line" warnings from lintian
    - Don't copy NULL
    - Avoid double encoding with python3. Closes: #828833

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 30 Jun 2016 01:39:07 +0200

file (1:5.28-1) unstable; urgency=medium

  * New upstream version 5.28

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 27 Jun 2016 16:10:45 +0200

file (1:5.25-2) unstable; urgency=medium

  * Fix --mime-encoding. Closes: #799690

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 22 Sep 2015 19:44:20 +0200

file (1:5.25-1) unstable; urgency=low

  * New upstream version 5.25
  * Import important commits post 5.25 release:
    - PR/479: check the format length modifiers, protect against
      0-divide and offset out of bounds reads
    - print annotations
  * Disable detection of VAX COFF executables. Closes: #697846

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 18 Sep 2015 08:10:45 +0200

file (1:5.24-2) unstable; urgency=medium

  * Fix handling of file's --parameter option. Closes: #798410
  * Fix strength of Python script detection. Closes: #698569, #798796

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 13 Sep 2015 12:26:56 +0200

file (1:5.24-1) unstable; urgency=low

  * New upstream version 5.24. Addresses:
    - mistakes some PDFs, Closes: #520098
    - '#!' should have a bigger strength, Closes: #698569
  * Update build dependencies:
    - dh-python
    - Recent dpkg-dev version for minimal restriction formula support

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 04 Sep 2015 18:56:25 +0200

file (1:5.22+15-2) unstable; urgency=medium

  * Restore detection of some jpeg files. Closes: #780095

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 10 Mar 2015 20:41:54 +0100

file (1:5.22+15-1) unstable; urgency=high

  * Use upstream commit FILE5_22-11-ge452600 to include yet another
    security fix (PR/411).

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 09 Jan 2015 08:01:00 +0100

file (1:5.22+2-1) unstable; urgency=medium

  * New upstream version. Closes: #774219
  * Use upstream commit FILE5_22-2-g9f0601f to include all recent
    fixes.

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 03 Jan 2015 14:24:57 +0100

file (1:5.21+15-1) unstable; urgency=high

  * Fixes a security issue, urgency set to high
  * New upstream version 5.21
    - Limit number of elf program and sections processing
    - Reduce the number of recursion levels
      Closes: #773148 (CVE-2014-8116, CVE-2014-8117)
  * Use upstream commit FILE5_21-15-ge7e96a9 to include all recent
    fixes.

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 21 Dec 2014 23:21:37 +0100

file (1:5.20-2) unstable; urgency=high

  * Fixes a security issue, urgency set to high
  * Cherry-pick upstream commit FILE5_20-5-g39c7ac1:
    Fix note bounds reading, Francisco Alonso / Red Hat (CVE-2014-3710).
    Closes: #768806

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 09 Nov 2014 14:46:05 +0100

file (1:5.20-1) unstable; urgency=low

  * New upstream version 5.20. Addresses:
    - more audio/video formats. Closes: #762561
    - relax dis-detection of Perl scripts as AWK, part of #698569
  * Update the syntax of the Build-Profiles field. Closes: #764218

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 19 Oct 2014 15:03:08 +0200

file (1:5.19-2) unstable; urgency=high

  * urgency set to high to address a security problem
  * Cherry-pick upstream commit 0641e56 to fix CVE-2014-3587

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 07 Sep 2014 19:01:36 +0200

file (1:5.19-1) unstable; urgency=low

  * New upstream version 5.19. Addresses:
    - new magic: Hash::SharedMem. Closes: #742949
    - Some plain text identified as flash file. Closes: #745882
    - magic for Device Tree Blobs. Closes: #746301

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 16 Jun 2014 15:27:40 +0000

file (1:5.18-1) unstable; urgency=low

  * Support profile build (without python). Closes: #709558, #720655
    Thanks to Daniel Schepler and Eleanor Chen.
  * Add a debian/watch file. Closes: #741665
  * Update debian/copyright
  * New upstream version 5.18. Closes: #742262, #742265
    This also addresses (in order of appearance):
    - Identify Microsoft Installer (MSI) files. Closes: #216451
    - Correctly detect RIFF/WAVE files with more sections. Closes: #498076
    - Detect Microsoft cursor (.cur) files. Closes: #562250
    - Detect UBI images. Closes: #573362
    - Detect avr32 ELF objects. Closes: #588953
    - Clarify search options in magic(5) manpage. Closes: #589844
    - Fix formatting errors in detection of MS-DOS executables,
      Closes: #605143
    - Fix MIME type for MPEG Layer II. Closes: #609211
    - Improve detection of some JPEG files. Closes: #657545
    - Detect ocaml bytecode executables. Closes: #664679
    - Provide manpage pointer for "magic_errno". Closes: #696113
    - Detect "#!/bin/sh" with embedded binary data. Closes: #707014
    - Detect Delphi compiled form data. Closes: #712046
    - Document --apple option. Closes: #723628
  * Revert upstream commit FILE5_17-62-gbeb312b:
    "add fmtcheck", several regressions
    Also Closes: #745086 "use dh-autoreconf"
  * Cherry-pick from upstream:
    - FILE5_18-2-g1ecdd15, FILE5_18-7-g2c947ac:
      Fix regression in detection of Microsoft cursor files.
    - FILE5_18-4-g966ca13, FILE5_18-6-g0b62876:
      Improve Palm OS library detection, so gvfs-less finally is
      detected as a shell script.
    - FILE5_18-11-ge14d88d: Fix [Python] regression

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 23 Apr 2014 15:53:37 +0000

file (1:5.17-1) unstable; urgency=high

  * Urgency set to high to complete the fix for CVE-2014-2270
  * New maintainer. Thanks Luk for handing over.
  * Acknowledge my own NMU :)
  * Upgrade to Standards-Version: 3.9.5, no changes
  * Trim python build dependencies and make python-magic arch-all,
    thanks Scott Kitterman. Closes: #709269
  * Cherry-pick upstream commit FILE5_17-4-geced9db:
    "comment out python comment magic". Closes: #729970
  * Cherry-pick upstram commit FILE5_17-8-gc0c0032:
    "Fix memory leak". Closes: #740694
  * Cherry-pick upstream commit FILE5_17-17-gf9d8564:
    "encode [python] filename". Closes: #435397
  * Replace 8-bit characters in CDF summary data with spaces
  * Cherry-pick upstream commit FILE5_17-20-g70c65d2:
    "off by one in out of bounds calculations" (CVE-2014-2270 amendment)

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 05 Mar 2014 22:54:25 +0100

file (1:5.17-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * urgency set to high to fix CVE-2014-1943
  * New upstream version 5.17, Closes: #738832
    - Dropped 0013-eliminate-global-var.patch: applied upstream

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 14 Feb 2014 00:29:32 +0100

file (1:5.14-2) unstable; urgency=high

  * Eliminate global variable to fix segfault (Closes: #708281).

 -- Luk Claes <luk@debian.org>  Mon, 20 May 2013 18:13:41 +0200

file (1:5.14-1) unstable; urgency=low

  * New upstream version
    - Update patches
    - Drop 0005-python3.3.patch: applied upstream

 -- Luk Claes <luk@debian.org>  Mon, 06 May 2013 19:22:52 +0200

file (1:5.13-2) experimental; urgency=low

  * Archive rejects -1 as there was one already.

 -- Luk Claes <luk@debian.org>  Mon, 01 Apr 2013 13:50:50 +0200

file (1:5.13-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Applying slightly modified patch from Benjamin Drung
    <bdrung@debian.org> to build a python3-magic package (Closes:
    #695259).
  * Adding patch from Jakub Wilk <jwilk@debian.org> to make file recognize
    byte-compiled files generated by Python 3.3 (Closes: #697110).
  * Applying slight modified patch from Benjamin Drung <bdrung@debian.org>
    to configure with --disable-silent-rules.
  * Applying slightly modified patch from Benjamin Drung
    <bdrung@debian.org> to stop building python-magic-dbg.

  [ Benjamin Drung ]
  * Removing dublicated fields for binary packages in control.
  * Adding symbols file for libmagic.

  [ Daniel Baumann ]
  * Trimming diff headers in patches.
  * Using four digit prefixes for patch files.
  * Adding patch to update gzip mime (Closes: #688886).
  * Adding new magics from Esa Hyytiä <esa@netlab.tkk.fi> for Commodore
    raw tape files (Closes: #699777).
  * Adding updated magics from Bastien Roucaries
    <roucaries.bastien@gmail.com> for AOL ART images (Closes: #681304).
  * Adding file debug package (Closes: #601329).
  * Updating copyright file (Closes: #701937).
  * Setting priority for python bindings to optional (Closes: #687219).
  * Adding updated magics from Paul Wise <pabs@debian.org> for MS Windows
    HtmlHelp Data (Closes: #653911).
  * Merging upstream version 5.13: - readelf uses debug information
    properly now (Closes: #664526).
  * Updating file-localmagic.patch to avoid warning about non-compiled
    /etc/magic (Closes: #658629).
  * Updating symbols file for 5.13.
  * Adding new magics from Russell Coker <russell@coker.com.au> for Linux
    Software RAID (Closes: #663454).
  * Adding updated magics from Russell Coker <russell@coker.com.au> for
    BTRFS (Closes: #663454).
  * Adding patch to add POSIXLY_CORRECT reference in usage message
    (Closes: #576679).
  * Renumbering patches.
  * Adding new magics from chrysn <chrysn@fsfe.org> for LXT (Closes:
    #647412).

  [ Luk Claes ]
  * Reupload 5.13 to experimental.

 -- Luk Claes <luk@debian.org>  Mon, 01 Apr 2013 11:55:06 +0200

file (1:5.11-3) unstable; urgency=low

  * Taking over maintainership (Closes: 704326).
  * Updating Standards-Version (no changes).
  * Do not ship python-magic-dbg as it is currently empty.

 -- Luk Claes <luk@debian.org>  Mon, 01 Apr 2013 10:20:18 +0200

file (1:5.11-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Re-upload 5.11-2:
    - Fix ELF detection on 64-bit big endian architectures (closes: #703274).

 -- Bastian Blank <waldi@debian.org>  Sun, 17 Mar 2013 20:23:55 +0000

file (5.12-2) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:23:00 +0100

file (5.12-1) unstable; urgency=low

  * Merging upstream version 5.12:
    - adds magics for Access 2010 (Closes: #680021).
  * Updating years in copyright file.
  * Updating to standards version 3.9.4.
  * Dropping compression levels.
  * Adding dpkg-source local-options.
  * Rediffing file-localmagic.patch.
  * Dropping msaccess_jet5_magic.patch, included upstream.
  * Manually adding building of static library via configure option.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 19:59:40 +0100

file (5.11-3) unstable; urgency=low

  [ Judit Foglszinger ]
  * Adding new magic for Access 2010 files, thanks to Jean-Michel Vourgère

  [ Daniel Baumann ]
  * Rediffing msaccess_jet5_magic.patch with common options.

 -- Judit Foglszinger <fgrfgr@freenet.de>  Fri, 13 Jul 2012 20:37:33 +0000

file (5.11-2) unstable; urgency=low

  * Removing leading slash in debhelper install files.
  * Minimizing rules file.
  * Switching to xz compression.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 30 Jun 2012 19:27:00 +0200

file (5.11-1) unstable; urgency=low

  [ Judit Foglszinger ]
  * Merging upstream version 5.11.

  [ Daniel Baumann ]
  * Updating to debhelper version 9.
  * Removing uneeded versioned build-depends against dpkg-dev.
  * Updating to standards version 3.9.3.
  * Updating copyright file machine-readable format version 1.0.
  * Adding todo file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 17 Mar 2012 10:20:34 +0100

file (5.10-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding patch from Eloi Notario <entfe001@gmail.com> to add new magic
    for GNU tar incremental snapshots files (Closes: #608944).
  * Adding multi-arch support, thanks to Riku Voipio
    <riku.voipio@iki.fi> (Closes: #333717, #638314).

  [ Judit Foglszinger ]
  * Removing rpath from usr/bin/file.
  * Merging upstream version 5.10.
  * Removing magic-gnu-tar.patch, went upstream.
  * Changing ./configure string to not compile in rpath and removing
    workaround with chrpath, thanks to Riku Voipio <riku.voipio@iki.fi>.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 07 Feb 2012 15:50:45 +0100

file (5.09-2) unstable; urgency=low

  * Adding build-arch and build-indep to rules.
  * Adding libmagic1 to depends of python-magic (Closes: #646004).

 -- Judit Foglszinger <fgrfgr@freenet.de>  Fri, 21 Oct 2011 17:46:24 +0000

file (5.09-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Removing pre-squeeze conflicts against file in libmagic1.
  * Removing pre-squeeze version from python build-depends.
  * Merging upstream version 5.09.

  [ Judit Foglszinger ]
  * Removing magic-add-lrf.patch, went upstream.
  * Renaming doc-manpages.patch.

 -- Judit Foglszinger <fgrfgr@freenet.de>  Sun, 09 Oct 2011 12:12:45 +0000

file (5.08-1) unstable; urgency=low

  [ Judit Foglszinger ]
  * Merging upstream version 5.08 (Closes: #612742, #619225, #626340).

  [ Daniel Baumann ]
  * Adding patch from Sylvain Rabot <sylvain@abstraction.fr> to add
    detection for shell scripts using /usr/bin/env in their shebang.
  * Removing magic-update-awk.patch, went upstream.
  * Removing magic-update-bash.patch, went upstream.
  * Removing magic-update-reiserfs.patch, went upstream.
  * Removing magic-update-tcsh.patch, went upstream.
  * Removing magic-update-zip.patch, went upstream.
  * Removing magic-update-real.patch, went upstream.
  * Removing magic-update-os2.patch, went upstream.
  * Removing magic-update-digifax.patch, went upstream.
  * Removing magic-update-mono.patch, went upstream.
  * Removing magic-update-pfm.patch, went upstream.
  * Removing magic-update-ocaml.patch, went upstream.
  * Removing magic-update-linuxswap.patch, went upstream.
  * Removing magic-update-linuxext.patch, went upstream.
  * Removing magic-update-llvm.patch, went upstream.
  * Removing magic-update-gimp.patch, went upstream.
  * Removing magic-update-wav.patch, went upstream.
  * Removing magic-update-z-machine.patch, went upstream.
  * Removing magic-update-xwd.patch, went upstream.
  * Removing magic-update-utf.patch, went upstream.
  * Removing magic-update-spectrum.patch, went upstream.
  * Removing magic-update-tgif.patch, went upstream.
  * Removing magic-update-truetype.patch, went upstream.
  * Removing magic-update-7zip.patch, went upstream.
  * Removing magic-update-lzma.patch, went upstream.
  * Removing magic-update-xz.patch, went upstream.
  * Removing magic-update-qemu.patch, went upstream.
  * Removing magic-update-psf2.patch, went upstream.
  * Removing magic-update-dyatic.patch, went upstream.
  * Removing magic-update-bio-rad.patch, went upstream.
  * Removing magic-update-icon.patch, went upstream.
  * Removing magic-add-par2.patch, went upstream.
  * Removing magic-add-pe5.patch, went upstream.
  * Removing magic-add-pdmenu.patch, went upstream.
  * Removing magic-add-powertab.patch, went upstream.
  * Removing magic-add-scummvm.patch, went upstream.
  * Removing magic-add-sgf.patch, went upstream.
  * Removing magic-add-sisu.patch, went upstream.
  * Removing magic-add-snes.patch, went upstream.
  * Removing magic-add-ssh.patch, went upstream.
  * Removing magic-add-ssl.patch, went upstream.
  * Removing magic-add-subversion.patch, went upstream.
  * Removing magic-add-supercollider.patch, went upstream.
  * Removing magic-add-xen.patch, went upstream.
  * Removing magic-add-xcursor.patch, went upstream.
  * Removing magic-add-freemind.patch, went upstream.

  [ Judit Foglszinger ]
  * Removing magic-add-qdbm.patch, went upstream.
  * Removing magic-add-tokyocabinet.patch, went upstream.
  * Removing magic-add-cromfs.patch, went upstream.
  * Removing magic-add-scribus.patch, went upstream.
  * Removing magic-add-selinux.patch, went upstream.
  * Removing magic-add-bzr.patch, went upstream.
  * Removing magic-add-git.patch, went upstream.
  * Removing magic-add-nut.patch, went upstream.
  * Removing magic-add-blcr.patch, went upstream.
  * Removing magic-add-lyx.patch, went upstream.
  * Removing magic-add-bacula.patch, went upstream.
  * Removing magic-add-olympus.patch, went upstream.
  * Removing magic-add-mdmp.patch, went upstream.
  * Removing magic-add-gstreamer.patch, went upstream.
  * Removing magic-add-xfsdump.patch, went upstream.
  * Removing magic-add-delta-iso.patch, went upstream.
  * Removing magic-add-delta-rpm.patch, went upstream.
  * Removing magic-add-avchd.patch, went upstream.
  * Removing magic-add-chiasmus.patch, went upstream.
  * Removing magic-add-hdr.patch, went upstream.
  * Removing magic-add-foveon-x3f.patch, went upstream.
  * Removing magic-add-paint-net.patch, went upstream.
  * Removing magic-add-dact.patch, went upstream.
  * Removing magic-add-datafork.patch, went upstream.
  * Removing magic-add-pdb.patch, went upstream.
  * Removing magic-add-gdsii.patch, went upstream.
  * Removing magic-add-canon.patch, went upstream.
  * Removing magic-add-jfs.patch, went upstream.
  * Removing magic-add-git-index.patch, went upstream.
  * Removing magic-add-erlang.patch, went upstream.
  * Removing magic-add-epub.patch, went upstream.
  * Removing magic-add-shebang.patch, went upstream.
  * Removing manpages-typo.patch, went upstream.
  * Removing manpages-typo2.patch, went upstream.
  * Removing manpages-typo3.patch, went upstream.
  * Removing file-coredump.patch, went upstream.
  * Updating file-localmagic.patch to apply cleanly after upstream
    changes.
  * Updating doc-manpages.patch to apply cleanly after upstream changes.
  * Removing conglomeration.patch, went upstream.
  * Removing file-python.patch, not needed anymore.
  * Removing unused lintian override.
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to add
    new magic for BBeB ebooks (Closes: #624585).
  * Refusing to copy patchlevel.h in rules due to it's upstream removal.
  * Modifiing file-make.patch to apply after upstream changes.
  * Updating standards version to 3.9.2.
  * Adding patch from Julian Taylor <jtaylor.debian@googlemail.com> to
    switch from dh_pysupport to dh_python2 (Closes: #637149).

  [ Daniel Baumann ]
  * Updating to debhelper version 8.
  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Switching to source format version 3.0 (quilt).
  * Also removing superfluous pycompat file.
  * Compacting copyright file.
  * Updating years in copyright file.
  * Renumbering remaining patches.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 08 Sep 2011 18:24:15 +0200

file (5.04-6) experimental; urgency=low

  [ Judit Foglszinger ]
  * Fixing incorrect argument in manpage (Closes: #524648).
  * Fixing typo in output for x-icon (Closes: #593488).

  [ Daniel Baumann ]
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to add
    new magic for EPUB (Closes: #596873).
  * Rediffing doc-manpages1.patch and renaming to doc-manpages-typo3 for
    consistency.
  * Rediffing magic-update-icon.patch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 18 Sep 2010 11:44:13 +0200

file (5.04-5) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to fix
    false positives in Bio-Rad PIC detection (Closes: #589056).
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to add
    new magics for JFS filesystem images (Closes: #589067).
  * Adding patch from Nahuel Greco <ngreco@gmail.com> to add new magics
    for Erlang DETS files (Closes: #589723).

  [ Judit Foglszinger ]
  * Adding myself to uploaders.
  * Replacing dh_python with dh_pysupport in debian/rules (Closes:
    #529351).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 05 Aug 2010 17:06:03 +0200

file (5.04-4) unstable; urgency=low

  * Adding patch from Arnaud Giersch <arnaud.giersch@iut-bm.univ-
    fcomte.fr> to fix that file does not always correctly report the
    faulty command for core files (Closes: #422524, #427876).
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to
    update qemu magics (Closes: #451524).
  * Adding patch from Ori Avtalion <ori@avtalion.name> to fix a typo and
    a formating issue in file manpage (Closes: #499754).
  * Renumbering patches.
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to add
    new magic for datafork fonts (Closes: #291908).
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to add
    new magics for PDB files (Closes: #480829).
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to
    update PSF2 magics (Closes: #492035).
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to add
    new magics for Canon CRW and CR2 files (Closes: #516054).
  * Adding patch from Richard Smith <busreply@broadmeadow.eu> to update
    Dyalog APL magics (Closes: #537893).
  * Adding patch from Євгеній Мещеряков <eugen@debian.org> to add new
    magic for GDSII (Closes: #576462).
  * Adding patch from Frédéric Brière <fbriere@fbriere.net> to add new
    magics for Git index files (Closes: #583679).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 13 Jul 2010 19:37:04 +0200

file (5.04-3) unstable; urgency=low

  * Adding patch to add new magic for DACT (Closes: #582945).
  * Updating magic-add-dact.patch to append to compress instead of
    archive magic files.
  * Updating standards version to 3.9.0.
  * Adding patch from Eloi Notario <entfe001@gmail.com> to update lzma
    magics (Closes: #576950).
  * Adding (empty) directory holding custom magics (Closes: #582944).
  * Adding patch for consistent spelling of XZ compression (Closes:
    #541087).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 11 Jul 2010 02:41:19 +0200

file (5.04-2) unstable; urgency=low

  * Bumping versioned build-depends on debhelper because of dh_bugfiles
    usage.
  * Shortening package long-descriptions (Closes: #570817).
  * Updating copyright file to current state of the art (Closes:
    #573519).
  * Sorting and wrapping build-depends.
  * Sorting and wrapping depends.
  * Sorting fields in control.
  * Stopping to ship (partially outdated) plain text mime files, which
    was always unsupported, the only supported interface still is using
    the library.
  * Adding README.Debian to file to tell users and package maintainers
    on how to add their own magics.
  * Dropping la files.
  * Moving local magics stubs from file to libmagic1 where they actually
    belong.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 27 Mar 2010 11:55:37 +0100

file (5.04-1) unstable; urgency=low

  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Merging upstream version 5.04.
  * Removing magic-update-asf.patch, went upstream.
  * Rediffing magic-update-awk.patch.
  * Rediffing magic-update-bash.patch.
  * Rediffing magic-update-tcsh.patch.
  * Rediffing magic-update-linuxswap.patch.
  * Removing magic-update-ruby.patch, went upstream.
  * Removing magic-update-postscript-fonts.patch, went upstream.
  * Rediffing magic-add-par2.patch.
  * Rediffing magic-add-cromfs.patch.
  * Rediffing magic-add-bacula.patch.
  * Removing magic-add-ppc-swapfile.patch, went upstream.
  * Rediffing file-mgc.patch.
  * Removing file-hurd.patch, went upstream.
  * Updating magic-add-freemind.patch for new upstream.
  * Using debhhelper bug files rather than manual installing in rules
    file.
  * Renaming directory for storing local debian additions to more common
    name.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 01 Feb 2010 14:26:27 +0100

file (5.03-5) unstable; urgency=low

  * Adding explicit debian source version 1.0 until switch to 3.0.
  * Updating setup.py calls in rules for python2.6 again, thanks to
    Jakub Wilk <ubanus@users.sf.net> (Closes: #555208).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 19 Dec 2009 20:03:32 +0100

file (5.03-4) unstable; urgency=low

  * Adding README.source.
  * Adding patch to add new magic for Lyx (Closes: #556194).
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to add
    new magic for bacula volumes (Closes: #556981).
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to add
    new magic for olympus orf files (Closes: #519305).
  * Adding patch from Josh Triplett <josh@joshtriplett.org> to add new
    magic for gstreamer binary registry files (Closes: #559117).
  * Adding patch from Daniel Novotny <dnovotny@redhat.com> to add new
    magic for MDMP crash report data files.
  * Adding patch from Daniel Novotny <dnovotny@redhat.com> to add update
    magic for postscript fonts.
  * Adding patch from Daniel Novotny <dnovotny@redhat.com> to add new
    magic for xfs dumps.
  * Adding patch from Daniel Novotny <dnovotny@redhat.com> to add new
    magic for ppc swapfiles.
  * Adding patch from Daniel Novotny <dnovotny@redhat.com> to add new
    magic for delta iso files.
  * Adding patch from Daniel Novotny <dnovotny@redhat.com> to add new
    magic for delta rpm files.
  * Adding patch from Alexander Danilov <alexander.a.danilov@gmail.com>
    to add new magic for AVCHD Clip Information files (Closes: #538847).
  * Adding patch to add new magic for Chiasmus (Closes: #540368).
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to
    update magic for truetype collections (Closes: #545709).
  * Adding patch from Joerg Friedrich <Joerg.Friedrich@friedrich-kn.de>
    to add support for all flags from magic.h in python-magic (Closes:
    #529354).
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to add
    new magic for HDR formats (Closes: #520416).
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to add
    new magic for Foveon X3F (Closes: #516800).
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to add
    new magic for Paint.NET images (Closes: #504779).
  * Adding patch to add mime type for 7-zip files (Closes: #552742).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 05 Dec 2009 19:04:48 +0100

file (5.03-3) unstable; urgency=low

  * Updating tgif magic, thanks to Hugo Graumann <graumann@ucalgary.ca>
    (Closes: #549601).
  * Enabling nut magic patch.
  * Correcting wrong vcs-browser field.
  * Updating setup.py calls in rules for python2.6, thanks to Piotr
    Ozarowski <piotr@debian.org> (Closes: #555208).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 10 Nov 2009 19:46:51 +0100

file (5.03-2) unstable; urgency=low

  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to add
    new magic for the NUT Container format (Closes: #528242).
  * Adding patch from Alan Woodland <ajw05@aber.ac.uk> to add new magic
    for BLCR context files (Closes: #538407).
  * Updating standards version to 3.8.3.
  * Updating maintainer field.
  * Updating vcs fields.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 04 Oct 2009 11:28:34 +0200

file (5.03-1) unstable; urgency=high

  * Merging upstream version 5.03:
    - Fixes more buffer overflows.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 08 May 2009 23:07:54 +0200

file (5.02-1) unstable; urgency=high

  * Using correct rfc-2822 date formats in changelog.
  * Merging upstream version 5.02:
    - Fixes a buffer overflow.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 05 May 2009 00:05:44 +0200

file (5.01-1) unstable; urgency=low

  * Adding patch from  Adam Buchbinder <adam.buchbinder@gmail.com> to
    fix false matches against Z-machine pattern (Closes: #499748).
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to
    improve XWD magic in order to not give false results on mp3 files
    (Closes: #511764).
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to fix
    unescaped spaces in erlang magic (Closes: #514056).
  * Updating UUID patches to cope with leading zeroes, thanks to Bjorn
    Mork <bjorn@mork.no> (Closes: #515019).
  * Updating section for python-magic-dbg.
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to fix
    a spacing error in the manpage (Closes: #515761).
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to
    updated utf-8 big-endian magic (Closes: #513526).
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to add
    new magic for git packs and indexes (Closes: #509942).
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to
    update magic for spectrum tap files (Closes: #501589).
  * Merging upstream version 5.01.
  * Removing magic-update-erlang.patch, went upstream.
  * Rediffing magic-add-qdbm.patch.
  * Rediffing magic-add-tokyocabinet.patch.
  * Manually renaming magic directory in rules to correct name.
  * Updating file-mgc.patch for file 5, produces raw magics again now
    (Closes: #522433).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 03 May 2009 11:02:00 +0200

file (5.00-1) unstable; urgency=low

  * Merging upstream version 5.00 (Closes: #520532).
  * Using quilt rather than dpatch.
  * Updating years in copyright file.
  * Reordering rules file.
  * Stopping to rebootstrap autofoo, it is not needed anymore.
  * Updating to standards version 3.8.1.
  * Updating conglomeration.patch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 21 Mar 2009 09:59:00 +0100

file (4.26-2) unstable; urgency=medium

  * Using patch-stamp rather than patch in rules file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Adding patch from Toeroek Edwin <edwintorok@gmail.com> to update llvm magics
    (Closes: #505805).
  * Adding patch to add mime entries for ruby (Closes: #502201).
  * Adding patch from Ori Avtalion <ori@avtalion.name> to update gimp magics
    (Closes: #501200).
  * Corrected spelling of 'ScummVM' in magic-add-scummvm.dpatch.
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to update wav
    magics (Closes: #508174).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 09 Dec 2008 13:28:00 +0100

file (4.26-1) unstable; urgency=low

  * Updating vcs fields in control file.
  * Merging upstream version 4.26.
  * Rediffing 903-file-localmagic.dpatch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 08 Sep 2008 13:57:00 +0200

file (4.25-1) unstable; urgency=low

  * Adding patch from Russell Coker <russell@coker.com.au> to add volume label
    and UUID support for linux ext (Closes: #489865).
  * Adding patch from Russell Coker <russell@coker.com.au> to add volume label
    and UUID support for linux swap (Closes: #489865).
  * Adding patch from Eric Cooper <ecc@cmu.edu> to update ocaml magics
    (Closes: #488992).
  * Removing 907-file-funcs.dpatch, went upstream.
  * Removing 905-file-printf.dpatch, went upstream.
  * Updating 903-file-localmagic.dpatch for 4.25.
  * Updating 901-file-mgc.dpatch for 4.25.
  * Updating 338-magic-add-cromfs.dpatch for 4.25.
  * Updating 325-magic-add-sgf.dpatch for 4.25.
  * Updating 321-magic-add-pe5.dpatch for 4.25.
  * Updating 212-magic-update-pfm.dpatch for 4.25.
  * Updating 211-magic-update-mono.dpatch for 4.25.
  * Updating 206-magic-update-bash.dpatch for 4.25.
  * Updating 205-magic-update-tcsh.dpatch for 4.25.
  * Removing 201-magic-update-mp3.dpatch, went upstream.
  * Merging upstream version 4.25.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 15 Jul 2008 16:26:00 +0200

file (4.24-4) unstable; urgency=high

  * Adding patch from Jelmer Vernooij <jelmer@samba.org> to add new
    magics for bzr (Closes: #488742).
  * Adding symlinks to /usr/share/misc to conform to the LSB, thanks to
    Matthias Klose <doko@debian.org>.
  * Adding zlibg1-dev to libmagic-dev depends (Closes: #472856).
  * Adding patch to revert upstream change to stop build plain magic
    files. This fixes #481247 correctly now (Closes: #481247).
  * Reverting previous wrong NMU.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 01 Jul 2008 18:46:00 +0200

file (4.24-3.1) unstable; urgency=low

  * Non-maintainer upload from the Cambridge BSP.
  * Work around bug #488562, that file assumes readdir() will return sorted
    names - instead of compiling magic.mgc from Magdir directly, use the logic
    already in debian/rules to build (the file that will become)
    /usr/share/file/magic, then compile magic.mgc from that. (Closes: #481247)

 -- Simon McVittie <smcv@debian.org>  Sun, 29 Jun 2008 19:32:24 +0000

file (4.24-3) unstable; urgency=medium

  * Rewriting copyright file in machine-interpretable format.
  * Updating package to debhelper 7.
  * Adding patch to update pfm magic.
  * Adding patch to update mono magic.
  * Adding patch to update Digifax magic.
  * Adding patch to update OS/2 REXX magic.
  * Adding patch to update real media magic.
  * Adding patch to update zip magic.
  * Updating bash magic to also look for /usr/bin/bash.
  * Updating tcsh magic to also look for /usr/bin/tcsh.
  * Adding patch from Russell Coker <russell@coker.com.au> to add new magic for
    selinux (Closes: #485886).
  * Updating to standards 3.8.0.
  * Adding patch to add mime for asf magics (Closes: #483797).
  * Adding patch from Werner Fink <werner@suse.de> to add new magic for scribus.
  * Adding patch from Werner Fink <werner@suse.de> to update reiserfs magic also
    detecting ReiserFS V3.6.19.
  * Adding patch from Werner Fink <werner@suse.de> to add new magic for CROM
    filesystem.
  * Adding patch from Werner Fink <werner@suse.de> to update (and re-enabled)
    awk magic.
  * Adding patch from Werner Fink <werner@suse.de> to fix regressions with mp3
    files (Closes: #480683, #481377).
  * Adding patch for new TokyoCabinet database magic, thanks Benoit Sibaud
    <bsibaud@april.org> (Closes: #481768).
  * Adding patch for new QDBM Quick Database Manager magic, thanks Benoit Sibaud
    <bsibaud@april.org> (Closes: #481717).
  * Fixing regression in file 4.24 with file_printf(), thanks Martin Dorey
    <mdorey@bluearc.com> (Closes: #481523).
  * Removing annoying warnings when files can't be opened, thanks Martin Dorey
    <mdorey@bluearc.com> (Closes: #481512).
  * Adding new magic for freemind, thanks to Jamie Thompson
    <debian-bugs@jamie-thompson.co.uk> (Closes: #472385).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 26 Jun 2008 16:06:00 +0200

file (4.24-2) unstable; urgency=medium

  * Adding plain magic files for compatibility.
  * Using lintian debhelper to install lintian overrides.
  * Removing watch file.
  * Removing useless whitespaces in changelog file.
  * Adding vcs fields in control file.
  * Upgrading package to debhelper 6.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 03 May 2008 14:09:00 +0200

file (4.24-1) experimental; urgency=low

  * New upstream release:
    - The following patches went upstream completely:
      102-magic-remove-bennet, 103-magic-remove-bzip, 104-magic-remove-cgm,
      105-magic-remove-com, 106-magic-remove-emf, 108-magic-remove-quicktime,
      201-magic-update-avi, 203-magic-update-cow, 204-magic-update-cracklib,
      206-magic-update-elf-b, 207-magic-update-elf-c, 208-magic-update-hp,
      209-magic-update-jpeg, 210-magic-update-m4v, 211-magic-update-macintosh,
      213-magic-update-pcp, 214-magic-update-perl, 215-magic-update-sh,
      216-magic-update-spectrum, 301-magic-add-adf, 302-magic-add-apple2,
      303-magic-add-arm, 304-magic-add-avg, 305-magic-add-clarion,
      306-magic-add-dds, 307-magic-add-erlang, 308-magic-add-gedcom,
      309-magic-add-git, 309-magic-add-inform, 310-magic-add-llvm,
      311-magic-add-lua, 312-magic-add-luks, 313-magic-add-lzma,
      314-magic-add-mathcad, 315-magic-add-mdi, 316-magic-add-mercurial,
      317-magic-add-mozilla, 318-magic-add-nlm, and 332-magic-add-svg,
      901-file-elf, 902-file-kfreebsd, and 905-file-segfault.
    - The following patches went upstream almost completely:
      998-doc-manpages and 999-conglomeration.
    - Thanks to Reuben Thomas <rrt@sc3d.org> to merge them.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 01 Apr 2008 11:30:00 +0200

file (4.23-2) unstable; urgency=low

  * Applied patch from Neil Williams <codehelp@debian.org> to add crossbuild
    support to debian/rules (Closes: #465111).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Feb 2008 20:16:00 +0100

file (4.23-1) unstable; urgency=low

  * New upstream release:
    - Removing '101-magic-remove-awk.dpatch', went upstream.
    - Removing '107-magic-remove-msi.dpatch', went upstream.
    - Removing '202-magic-update-blender.dpatch', went upstream.
    - Removing '205-magic-update-elf-a.dpatch', went upstream.
    - Removing '212-magic-update-os2rexx.dpatch', went upstream.
    - Removing '319-magic-add-ocfs.dpatch', went upstream.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 12 Jan 2008 17:23:00 +0100

file (4.21-4) unstable; urgency=low

  * Bumping to new policy.
  * Using new homepage field in control.
  * Using ${binary:Version} in all depends.
  * Added patch from Josh Triplett <josh@freedesktop.org> to add new magic for
    Mozilla XUL fastload files (XUL.mfasl and XPC.mfasl; Closes: #452354).
  * Added patch from Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr> to add new
    magic for Mercurial bundles (Closes: #451067).
  * Correct wrong applied patch for SNES sound files (Closes: #410847).
  * Added patch from Mathias Brodala <info@noctus.net> to add new magic for
    X11 cursor files (Closes: #451246).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 23 Dec 2007 18:09:00 +0100

file (4.21-3) unstable; urgency=low

  * Including extra headers in /usr/include/file (Closes: #397307).
  * Added patch from Eduardo Sabbatella <eduardo_sabbatella@yahoo.com.ar> to
    add magic for SGF Smart Game Format (Closes: #428605).
  * Added patch from Josh Triplett <josh@freedesktop.org> to add magic for git
    bundles (Closes: #430070).
  * Added patch from Mathieu Malaterre <mathieu.malaterre@gmail.com> to extend
    JPEG 2000 magic (Closes: #439005).
  * Added patch from Daniele Sempione <scrows@oziosi.org> to add magic for
    Microsoft Document Imaging Format (.mdi) (Closes: #430548).
  * Added patch from Nicolas Collignon <tsointsoin@gmail.com> to add magics
    for OpenSSH and OpenSSL certificates/key files (Closes: #439537).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 26 Aug 2007 09:51:00 +0200

file (4.21-2) unstable; urgency=low

  * Applied patch from Michael Casadevall <sonicmctails@gmail.com> to fix
    FTBFS on hurd (Closes: #433716).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 19 Jul 2007 08:27:00 +0200

file (4.21-1) unstable; urgency=low

  * New upstream release.
  * Rediffed 211-magic-update-os2rexx.dpatch.
  * Removed 302-magic-add-ape.dpatch, went upstream.
  * Rediffed 304-magic-add-arm.dpatch.
  * Rediffed 317-magic-add-ocfs.dpatch.
  * Rediffed 318-magic-add-par2.dpatch.
  * Rediffed 322-magic-add-scummvm.dpatch.
  * Rediffed 325-magic-add-subversion.dpatch.
  * Rediffed 326-magic-add-supercollider.dpatch.
  * Rediffed 328-magic-add-xen.dpatch.
  * Removed 999-upstream-reg-startend.dpatch, now included in upstream.
  * Updated 905-file-segfault.dpatch.
  * Rediffed 999-conglomeration.dpatch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 01 Jun 2007 20:29:00 +0200

file (4.20-8) unstable; urgency=low

  * Build a python-magic-dbg package.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 17 May 2007 20:40:00 +0200

file (4.20-7) unstable; urgency=medium

  * Replacing work around patch from Ubuntu with proper fix from
    Werner Fink <werner@suse.de> of OpenSuse (CVE-2007-2026).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 17 May 2007 19:57:00 +0200

file (4.20-6) unstable; urgency=medium

  * Fixed clean: target in rule (Closes: #424269).
  * Added patch from Anthon van der Neut <anthon@mnt.org> to add magic for LUKS
    (Closes: #394246).
  * Added patch from Jelmer Vernooij <jelmer@samba.org> to add magic for
    Power-Tab.
  * Added patch from Sven Anders <anders@anduras.de> to fix a segfault with -c.
  * Added patch from Kees Cook <kees@ubuntu.com> to work around regex DoS
    (CVE-2007-2026) by disabling the respective magic.
  * Added patch from Noel Torres <tecnico@ejerciciosresueltos.com> to add magic
    for SVG (Closes: #417331).
  * Added patch from Josh Triplett <josh@freedesktop.org> to add magic for
    Mathcad documents (Closes: #421426).
  * Added patch from Matthias Urlichs <smurf@debian.org> to update elf magic
    with missing elf architectures (Closes: #424859).
  * Added patch from Josef Spillner <2005@kuarepoti-dju.net> to update magic
    for HFS+ partition table detection (Closes: #405313).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 17 May 2007 18:15:00 +0200

file (4.20-5) unstable; urgency=low

  * Added patch from Ralph Amissah <ralph.amissah@gmail.com> to update magic for
    SiSU Markup Language.
  * Added patch from Josh Triplett <josh@freedesktop.org> to disable magic for
    Bennet Yee's face format (Closes: #420855).
  * Updated copyright file (Closes: #398453).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 26 Apr 2007 08:13:00 +0200

file (4.20-4) unstable; urgency=low

  * Rediffed some patches, now having always the same format of adding new
    magics.
  * Added patch from Ralph Amissah <ralph.amissah@gmail.com> to add magic for
    SiSU Markup Language.
  * Added patch from Radek Vokal <rvokal@redhat.com> to add magic for
    Xen saved domains.
  * Added patch from Radek Vokal <rvokal@redhat.com> to add magic for
    Apple Emulator 2IMG format.
  * Added patch from Aaron Botsis <redhat@digitalmafia.org> to add magic for
    Oracle Clustered Filesytem.
  * Added patch from Werner Fink <werner@suse.de> to update pcp magics.
  * Added patch from Mads Martin Joergensen <mmj@suse.de> to add magic for
    NetWare Loadable Modules (NLMs).
  * Added patch from Reuben Thomas <rrt@sc3d.org> to add magic for
    Inform interactive fiction language (Closes: #394522).
  * Added patch to add magic for Erlang BEAM and JAM files (Closes: #388356).
  * Added patch from David Newgas <david@newgas.net> to add magic for
    AVG vault files (Closes: #381053).
  * Added patch from root <ap@insysnet.ru> to add magic for detecting
    H.264 video in AVI files (Closes: #347263).
  * Added patch from Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr> to update
    lua magic with Lua bytecode (Closes: #335036).
  * Added patch from Daniel van Eeden <daniel_e@dds.nl> to add magic for
    PAR2 archive files (Closes: #294070).
  * Added patch from Mario Lang <mlang@debian.org> to add magic for
    SuperCollider 3 Synth Definition File Format (Closes: #284803).
  * Added patch from Russell Coker <russell@coker.com.au> to add magic for
    Adaptive Multi-Rate Codec files (Closes: #279322).
  * Added patch from Phil Endecott <phil05@chezphil.org> to add magic for
    GEDCOME genealogical data files (Closes: #277339).
  * Added patch from Nicolas François <nicolas.francois@centraliens.net>to
    fix wrong formating in manpage (Closes: #417511).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 03 Apr 2007 14:25:00 +0200

file (4.20-3) unstable; urgency=low

  * Added patch from Josh Triplett <josh@freedesktop.org> to add magic for
    SNES SPC700 sound files (Closes: #410847).
  * Added patch from Reuben Thomas <rrt@sc3d.org> to add magic for the
    Lua scripting language (Closes: #394524).
  * Added patch from Nigel McNie <nigel@mcnie.name> to detect m4v files as m4v
    instead of mp4 (Closes: #384018).
  * Added patch from Mark Hindley <mark@hindley.org.uk> to update
    sh scripts identifier (Closes: #368613).
  * Added patch from Robert Millan <rmh@aybabtu.com> to add magic for the
    LZMA compression format (Closes: #364260).
  * Added patch from Simon Horman <horms@debian.org> to add magic for the
    Ulead Photo Explorer5 image format (Closes: #339397).
  * Added patch from Robert Millan <rmh@aybabtu.com> to add magic for the
    Monkey's audio format (Closes: #334862).
  * Added patch from Josh Babcock <jbabcock@atlantech.net> to updated magic for
    Blender (Closes: #323291).
  * Added patch from Matthew Palmer <mpalmer@debian.org> to update magic for
    COW from 2.0 to 3.0 (Closes: #283515, #319128).
  * Added patch from Robert Millan <rmh@aybabtu.com> to add magic for the
    OpenRISC binary format (Closes: #316076).
  * Added patch from Philip Kendall <pak21@srcf.ucam.org> to update the
    spectrum magics (Closes: #296202).
  * Added patch from Al Stone <ahs3@debian.org> to add magic for the
    LLVM byte-codes (Closes: #293427).
  * Added patch from Julien Blache <jblache@debian.org> to add magic for
    Clarion files (Closes: #282680).
  * Added patch from Sven Hartge <debian@ds9.argh.org> to add magic for
    scummVM savegame files (Closes: #263488).
  * Added patch from Nicolas Chauvat <nicolas.chauvat@logilab.fr> to add magic
    for CGNS Advnaced Data Format files (Closes: #242644).
  * Added patch from Edward Betts <edward@debian.org> to add magic for
    pmenu (Closes: #38543).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 27 Mar 2007 17:51:00 +0100

file (4.20-2) unstable; urgency=low

  * New maintainer (Closes: #416263).
  * Redone debian directory.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 27 Mar 2007 13:28:00 +0100

file (4.20-1) unstable; urgency=high

  * New upstream version
    - Fixes supposed vulnerability in the file_fprintf in funcs.c
      (closes: #415362 and justifies urgency)
    - MPEG ADTS signedness fixed (closes: #392009)
    - Better TeX/LaTeX magic (closes: #402062)
    - Better XML mimetype magic (closes: #345834)
    - More linespacing in manpage (closes: #402058)
  * Revert URL in copyright file (see #406820), as the old one is supposed to
    be correct, even if it disappeared temporarily.
  * Fixed typo in manpage (closes: #394514)
  * Make Perl script entries consistent (closes: #394523)
  * Disable second MS Installer entry (closes: #409895)
  * Disable one-byte magic for COM (closes: #393775, #339618)
  * audio/midi mimetype (closes: #401839)
  * Enable gzip mimetype magic (closes: #324889)
  * Disabled some QuickTime entries (ASCII words, closes: #366986, #308394)

 -- Michael Piefel <piefel@debian.org>  Mon, 19 Mar 2007 14:55:46 +0100

file (4.19-1) unstable; urgency=low

  * New upstream version.
  * Use correct new URL to upstream now (closes: #406820)

 -- Michael Piefel <piefel@debian.org>  Fri, 19 Jan 2007 16:03:27 +0100

file (4.17-5) unstable; urgency=high

  * Initialize some previously uninitialized memory, this could lead to a
    segmentation fault when using magic_compile in libmagic (closes: #403085)

 -- Michael Piefel <piefel@debian.org>  Fri, 15 Dec 2006 13:36:12 +0100

file (4.17-4) unstable; urgency=medium

  * Add proper depends for python-magic (fixes not yet filed serious bug)

 -- Michael Piefel <piefel@debian.org>  Tue, 26 Sep 2006 14:01:00 +0200

file (4.17-3) unstable; urgency=low

  * Add example /etc/magic.mime and document the fact that file only look for
    a magic.mime file if the base magic file exists (closes: #382057)
  * Remove AWK detection by regular expression testing just for ‘BEGIN:’;
    this caused a lot of false guesses (and problems with naughty programs
    reading other programs’ files), this closes: #308305, #375403 and makes
    others disappear (for the time being, for example, it closes: #375722)
  * Added Python 2.5 byte-compiled (closes: #376711)
  * Fix some bad MIME types (closes: #379042, thanks to Moritz Naumann)

 -- Michael Piefel <piefel@debian.org>  Mon, 14 Aug 2006 15:28:25 +0200

file (4.17-2) unstable; urgency=low

  * Using new python infrastructure now: python2.3-magic and python2.4-magic
    dropped in favour of python-magic containing all versions
  * Identify Mono assemblies (closes: #314756)

 -- Michael Piefel <piefel@debian.org>  Wed, 14 Jun 2006 11:39:15 +0200

file (4.17-1) unstable; urgency=low

  * New upstream (closes: #343648)
  * Improved over-confident 64bit-cracklib rule (closes: #343504)
  * Revert ELF file-reading (by Alessandro Rubini, closes: #345089)
  * Detect GNU/kFreeBSD binaries (by Robert Millan, closes: #307475)

 -- Michael Piefel <piefel@debian.org>  Wed, 15 Mar 2006 10:25:06 +0100

file (4.15-2) unstable; urgency=low

  * Add Build-Depends to python, although I really don’t see the point of the
    python package (since file Build-Depended transitively on python2.3
    anyway), which claims to be a dependency package only (closes: #333859)
  * Disabled EMF detection as it not only caused false positives, which might
    have been acceptible, but a segmentation fault (closes: #333502)
  * Move the magic databases from /usr/share/misc/file to /usr/share/file;
    this still violates the FHS in letter, but not in spirit; this is
    different from the position in other distros (closes: #215139, #278478)

 -- Michael Piefel <piefel@debian.org>  Fri, 14 Oct 2005 16:01:54 +0200

file (4.15-1) unstable; urgency=low

  * New upstream, closes: #305914
    - Maya with string version (closes: #246962)
    - added ESRI Shapefile format (closes: #277552)
    - added Adlib tunes (closes: #317192)
    - many more magic additions, probably closing some bugs as well
    - magic files can now contain regular expressions
  * Fix manpage typo (closes: #323539)
  * Mention possibly unexpected behaviour of -k in man page (closes: #259193)
  * ELF machine 21 can be PowerPC64 (closes: #299620)
  * Remove gzip/bzip2-detection for Debian packages (closes: #328623)
  * Updated HP 38/39/40/48/49 magic (closes: #326680)
  * Disabled BZIP detection (closes: #277648)
  * Enabled the python bindings (Martin von Löwis, closes: #325073)

 -- Michael Piefel <piefel@debian.org>  Wed, 12 Oct 2005 10:35:17 +0200

file (4.12-1) unstable; urgency=high

  * New upstream version. Closes: #283316, a potential stack smash in ELF
    header parsing. Urgency set to high.
  * /etc/magic is read, as it should (Closes: #279324)
  * No further changes to increase the slim chance of getting into Sarge.

 -- Michael Piefel <piefel@debian.org>  Mon, 06 Dec 2004 10:42:47 +0100

file (4.10-3) unstable; urgency=high

  * The “for the love of Branden” release.
  * Urgency high in a vain attempt to get this into sarge.
  * Fix MIME detection for 3DS (actually, remove it because it was hilarious,
    closes: #216368)
  * Do _not_ depend on gcc-3.4

 -- Michael Piefel <piefel@debian.org>  Fri, 30 Jul 2004 11:14:48 +0200

file (4.10-2) unstable; urgency=medium

  * Fix multibyte vs. byte issue in files-from (closes: #261799)

 -- Michael Piefel <piefel@debian.org>  Wed, 28 Jul 2004 11:40:53 +0200

file (4.10-1) unstable; urgency=low

  * New upstream version.
    - No more doubling of file names with -z (closes: #260393)
  * New magic for SLL16 (closes: #249190)
  * New magic for SVN dumps (closes: #256652)
  * Patch for error return code on non-existant files
    (courtesy of Federico Grau, closes: #257805)

 -- Michael Piefel <piefel@debian.org>  Mon, 26 Jul 2004 12:58:40 +0200

file (4.09-1) unstable; urgency=low

  * New upstream version. This includes almost every patch that the Debian
    version had, so this package is very close to upstream's.
  * Disable some more Apple magic (closes: #231476); curiously, most of the
    Apple magic is very weak.
  * Disable very weak Assembler magic (closes: #223328)
  * Disable weak AWK magic (closes: #223282)
  * Added DjVu magic (closes: #238570)
  * Removed erroneous 5th column in magic.mime (closes: #246428)
  * Better error report messages in two places (closes: #243446, #252951)
  * Use /etc/magic again (failed to touch Makefile.in, closes: #231306)

 -- Michael Piefel <piefel@debian.org>  Fri, 11 Jun 2004 14:35:30 +0200

file (4.07-2) unstable; urgency=low

  * Move the "debian-additions" magic file back in; it got lost
  * Move up "compress" in the list to test for gzip before FLI; this
    closes: #228391 - but what happens if I have a real FLI file that
    starts with the two gzip magic bytes?
  * Replace the really bad magic for MP3 in magic.mime with the one found
    in "animation" (closes: #227625)

 -- Michael Piefel <piefel@debian.org>  Tue, 20 Jan 2004 11:57:47 +0100

file (4.07-1) unstable; urgency=low

  * New upstream
  * do not loop endlessly when encountering zero-length section offsets in ELF
    headers (closes: #226289)

 -- Michael Piefel <piefel@debian.org>  Wed, 14 Jan 2004 10:54:32 +0100

file (4.06-2) unstable; urgency=low

  * Unified HTML detection for normal and mime; handles the main complaint of
    #223340, but not all of it.
  * Added Hangul Word Processor File (closes: #219867)
  * Added Outlook personal folder (closes: #183764)
  * Added Mobipocket e-book (closes: #222855)
  * Added BIOS ROM dumps (closes: #150880)
  * Added some Doom and Quake (closes: #135671)
  * Added Sun/Cobalt boot ROMs (closes: #216867)
  * Made VMware magic more robust and (hopefully) correct (closes: #219037);
    file used to report nothing at all, due to an empty description string and
    heavy reliance on the subtype (which didn't match)

 -- Michael Piefel <piefel@debian.org>  Fri, 12 Dec 2003 13:25:34 +0100

file (4.06-1) unstable; urgency=low

  * New upstream.
    - Return error for non-existant files (closes: #215801)
    - Adds BitTorrent (closes: #201301)
  * Fix minor AAC typo (closes: #215052)
  * More QuickTime subformats (closes: #198809)
  * Rearrange Flac detection (closes: #213693)
  * Improved CAB detection (closes: #208926, #205431)
  * Added Netscape Bookmarks (closes: #207344)
  * Added DACT (closes: #195882)
  * Added GCC precompiled headers (closes: #204304)
  * Added GEOS (closes: #162852)
  * Added HVQM4 (Still counting, Mark? Closes: #151138)

 -- Michael Piefel <piefel@debian.org>  Fri, 17 Oct 2003 12:40:54 +0200

file (4.04-1) unstable; urgency=low

  * New upstream
  * add MAXPATHLEN to apprentice.c in order to make it build on the
    Hurd (closes: #212215)
  * add TFMX (closes: #151217, as the rest was already there)
  * recognize PO files (closes: #138423)

 -- Michael Piefel <piefel@debian.org>  Tue, 23 Sep 2003 17:06:48 +0200

file (4.03-3) unstable; urgency=low

  * more and better magic:
    - added Python 2.3 byte-compiled
    - corrected magic for HFS+ (closes: #207576)
    - fixed XML magic and added to MIME magic (closes: #186613)
    - added Xbox magic (closes: #183432)
    - remove ", English" from MIME type output (closes: #160415)
    - remove the vain attempts to guess the size of JPEG files as they are
      either wrong or confusing (sort of closes: #74938, #153833, #198053)
    - add Gnumeric magic to both normal and MIME magic; note you still have to
      pass -z to file (closes: #205708, #206756)
    - remove compresse MIME types (related to #170981)
    - add ACE archiver (closes: #178807)
  * add more descriptive message for unreadable files (closes: #203168)
  * rearranges header inclusions so that configuration is the same in all
    compiled files (closes: #208785)
  * fix the long-standing crash-on-compressed bug (closes: #197442, #207458)

 -- Michael Piefel <piefel@debian.org>  Fri, 05 Sep 2003 11:59:54 +0200

file (4.03-2) unstable; urgency=low

  * Compressed Flash (closes: #179640), also for MIME (closes: #186946)
  * Added GPG (closes: #197646) and JFFS2 (closes: #188780);
    accidentally also closes: #203158 (debian-additions not empty anymore)

 -- Michael Piefel <piefel@debian.org>  Tue, 29 Jul 2003 13:28:39 +0200

file (4.03-1) unstable; urgency=low

  * New upstream
    - fixes Zsh bug (closes: #195583, #196163)
    - incorporates many Debian changes to magic entries
    - also closes: #196162 (no more Broken HTML)
  * Reformatted ancient changelog entries and made sure changelog
    is in UTF-8.
  * File depends on correct library version now (closes: #194697)
  * Recognizes more Magic Cookies (closes: #201301)
  * Dynamically updates libtool (closes: #195330)

 -- Michael Piefel <piefel@debian.org>  Sun, 27 Jul 2003 23:39:15 +0200

file (4.02-4) unstable; urgency=low

  * The "no closes:" release.
  * Removed one last artifact of the raw-magic option.
  * Adapt the very-short-file fix to the new environment.

 -- Michael Piefel <piefel@debian.org>  Sat, 17 May 2003 20:01:17 +0200

file (4.02-3) unstable; urgency=low

  * Remove the nomgc symbol from the library (closes: #193355); this kind of
    reopens #115573, but I am now sure that this is not a bug, document the
    behaviour instead.
  * Make HTML magic a little less picky (closes: #193296)
  * Close files after looking at them (closes: #193580)
  * Don't report bogus for unreadable files (closes: #193582)

 -- Michael Piefel <piefel@debian.org>  Sat, 17 May 2003 18:01:27 +0200

file (4.02-2) unstable; urgency=low

  * Changed Priority of libmagic-dev to optional (closes: #193254)
  * Add Conflicts of libmagic1 to older file (closes: #193236, #193238)
  * Use newer libtool (closes: #193152)

 -- Michael Piefel <piefel@debian.org>  Wed, 14 May 2003 13:47:47 +0200

file (4.02-1) unstable; urgency=low

  * New upstream version
  * Acknowledge NMU, closes: #184204
  * Description length limit is down to 64 again. The easy way, setting it in
    file.h, doesn't work anymore, and I've not yet found out why.
  * Upstream has made a library out of the magic number recognition routines.
    Consequently, split the package up into three binary packages, adding
    libmagic1 and libmagic-dev.
  * debian/rules: all new and shiny; better autotools supprt
  * add some more magic:
    - TI emulators skins (closes: #167267)
    - Objective Caml (closes: #166830)
    - ReBorn (closes: #156279)
    - SE Linux policy database (closes: #159283)
    - Flow Cytometry Standard (closes: #160984)
  * remove some magic:
    - Brian Postma's Soundmon Module (closes: #168661)
    - LILO (closes: #160602)
  * fixed some magic:
    - XWD X Window Dump (closes: #164047, #81771)
  * fix reference to magic man page in README (closes: #159992)

 -- Michael Piefel <piefel@debian.org>  Sun, 11 May 2003 20:15:20 +0200

file (3.40-1.1) unstable; urgency=high

  * [readelf.c] Apply patch from upstream version 3.41 to fix buffer overflow
    - CAN-2003-0102
    - http://www.idefense.com/advisory/03.04.03.txt
    - Closes: #184204

 -- Matt Zimmerman <mdz@debian.org>  Thu, 03 Apr 2003 13:50:22 -0500

file (3.40-1) unstable; urgency=low

  * New upstream version (closes... no, this time I'm faster)
  * Switched Maintainer and Uploaders field, thereby effectively taken over
    the package after not having heard of the previous maintainer for about
    a year (finally officially closes: #174338, which is already closed)
  * No more whitespace on first line of debian/rules (closes: #164651)
  * It seems this already was fixed, but using an addition to the additional
    StuffIt magic now (closes: #170893)
  * Added VRML (closes: #166955)
  * Corrected unknown groff character names in magic(5) manpage (closes: #180056)
  * Update TI Calculator Magic (closes: #162820)
  * Make the ELF string extraction a little more robust (closes: #166832)
  * Recognizes HTML even with whitespace (closes: #119193)
  * Do not hang on rapidly growing archives with -z (closes: #162896)
  * Remove CVS date from Ogg output, it is not very useful as version number
    is printed anyway, and may cause trouble as it is not a real string, thus
    breaking the output routine for LANG!=C (closes: #178479)
  * Fix alignment of multifile output and wide characters

 -- Michael Piefel <piefel@debian.org>  Sun, 16 Feb 2003 17:31:21 +0100

file (3.39-1) unstable; urgency=low

  * NMU
  * New upstream version (closes: #148212, #151907)
    - incorporates most Debian patches
    - adds 9660 filesystem magic (closes: #157050; Upstream has
      a different magic than reporter.)
    - adds MNG magic (closes: #147264, see below)
    - adds PHP magic (closes: #145929)
    - detects UTF-8 and UTF-16 with BOM (closes: #102076)
    - some short string magic commented out (closes: #134266)
  * New Debian patches
    - improved Linux kernel magic, make it like lilo (closes: #106898)
    - changed BMP MIME type to x-ms-bmp (closes: #124234)
    - added JNG magic (closes: #147264)
    - added alternate ZIP magic (closes: #56292)
    - added alternate StuffIt magic (closes: #114027)
    - added/changed magic for Screamtracker (closes: #60009)
    - added vCalendar magic (closes: #158338)
    - added ZX spectrum magic (closes: #157162)
    - added EST flat binary (closes: #139239), Aculab VoIP firmware
      (closes: #138967), PPCBoot image (closes: #138958); thank you, Mark
    - tried some magic for multiple master fonts (closes: #29685)
    - removed some Mac magic (closes: #113733); this is not the
      real fix (TM), but works for the particular problem
    - removed some two-byte ASCII magic - too simple (closes: #144398)
    - fixed some entries extracting strings (changed \n to \0)
    - added new command line option -M which ignores compiled databases
      (closes: #115573)
    - give warning for one-byte files (magic is at least two bytes long,
      closes: #95778, #117222)
  * Move Debian magic additions all together in one spot to facilitate
    patching and communication with upstream

 -- Michael Piefel <piefel@debian.org>  Sun, 01 Sep 2002 13:13:15 +0200

file (3.37-3.1) unstable; urgency=low

  * NMU
  * Removed regexp.patch and kleff, they didn't serve a purpose
  * Bumped standards-version to 3.5.
  * Added Kimwitu magic
  * Improved MS Office magic (closes: #116693, #54960)
  * Added XV thumb, ISDN vbox, KiSS (closes: #54391)
  * Emacs 19 improved upstream (closes: #101336)
  * Added long HtmlHelp magic (closes: #113876)
  * Added webshots desktop (closes: #118517)
  * Added newer Python magic (closes: #119572)
  * Ogg magic improved upstream (closes: #91858)
  * XFS cleaned up (closes: #129172)
  * Targa reports size (closes: #133024)
  * Documented arbitrary 50 character description limit and increased it
    to 80 characters (closes: #12415) - the patch for unlimited length
    doesn't work, at least not at advertised.
  * Added Atari MSA (closes: #95040)
  * TI-8x updated (closes: #102824)
  * Better Swap (closes: #105504)
  * Increased buffer size to 96K (closes: #105505)
  * Better CRAMFS (closes: #115575)
  * Added JFFS (closes: #118900)
  * Added Hercules DASD image magic (closes: #122326)
  * Added TDB magic (closes: #122328)
  * Added Matlab (closes: #125666)
  * Added Squeak images and (closes: #131627)
  * Added User Mode COW magic (closes: #134619)
  * Added even better Ogg magic and even include it (closes: #134663)

 -- Michael Piefel <piefel@debian.org>  Mon, 04 Mar 2002 19:47:32 +0100

file (3.37-3) unstable; urgency=low

  * Implemented internal gzip support through the zlib library. It's much
    faster than executing gzip and it works better. Many small files that
    weren't properly handled now are. I've tested this with over 400 random
    gzipped files and it works, but please, report any problem with this.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 14 Oct 2001 05:56:19 -0300

file (3.37-2) unstable; urgency=low

  * The new sread function was sooo broken... I have now enhanced
    it with the amazing capability of handling EOF. Now file -z
    shouldn't hang (closes:Bug#115156).

 -- Nicolás Lichtmaier <nick@debian.org>  Thu, 11 Oct 2001 03:10:10 -0300

file (3.37-1) unstable; urgency=low

  * New upstream release:
    * Recognizes mp3 files with IDv2 tags (closes:Bug#112829, Bug#96688).
    * Adds magic for RRDtool databases (closes:Bug#114372).
    * Weak magic for AppleWorks spreadsheet data was removed
      (closes:Bug#110451,Bug#98447).
  * Remove warning for not using a compiled magic version for /etc/magic.
    I won't try to implement something to create a compiled version of
    /etc/magic as: 1) This fle is empty by default and will have only a few
    manually added entries, so there wouldn't be any speed gain; 2) It will
    add complexity and it wouldn't be trivial.
  * Added a note in magic2mime(1) deprecating its use.
  * No longer recognizes sunclock's "vector map format" as PostScript
    (closes:Bug#105930).
  * Added magic for cramfs and reiserfs from russell@coker.com.au
    (closes:Bug#105485, Bug#105508).
  * Added two Palm file formats from
    John Gruenenfelder <johng@bach.as.arizona.edu> (closes:Bug#104034).

 -- Nicolás Lichtmaier <nick@debian.org>  Mon, 08 Oct 2001 19:49:42 -0300

file (3.33-5) unstable; urgency=low

  * Added "Build-Depends: debhelper" (closes:Bug#86829).
  * New magic for S/390 ELF binaries (closes:Bug#93491).
  * Added support for large files (closes:Bug#93402).
  * Fixed magic2mime to cope with the new charset detection
    (closes:Bug#92931).
  * Added -s option to short usage message (-h) (closes:Bug#85910).
  * Added magic for Paint Shop Pro from
    Telford Tendys <telford@triode.net.au> (closes:Bug#85359).
  * Removed minor PS version number from font detection magic,
    suggested by Reinhard Kotucha <reinhard@kammer.uni-hannover.de>
    (closes:Bug#82667).
  * Added magic for Flac audio (what's that? =) ) from
    Matt Zimmerman <mdz@debian.org> (closes:Bug#91857).
  * Added magic for newer LHA files (does someone still use lha? wow!)
    from Paul Martin <pm@nowster.zetnet.co.uk> (closes:Bug#83454).
  * Now shows which compressor a Debian package uses,
    contributed by Ben Collins <bcollins@debian.org> (closes:Bug#48389).
  * Removed creation date report from Debian magic, it no longer works.
    It seems that the gzipped members of the .deb file are no longer
    created with the proper date.
  * Added lots of Palm documents contributed by
    Michael-John Turner <mj@debian.org> (but replaced "document" with
    "PalmOS document") (closes:Bug#87759).
  * Added magic for Squish and JAM echomail/netmail Fidonet areas storage
    formats contributed by peter@softwolves.pp.se (closes:Bug#90172).

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 06 May 2001 02:13:10 -0300

file (3.33-4) unstable; urgency=low

  * Modified Newton PDA package format magic so it doesn't match
    Java source code files.
  * When using -z, don't write the NUL terminator to the uncompressing
    program.
  * Ignore output from gzip (gzip should have an option to disable the
    "unexpected end of file" error message) (closes:Bug#83317).
  * Minor updates to debian/rules.
  * Reordered description for MIPS object files to please weak parsing
    in libtool (closes:Bug#83303).

 -- Nicolás Lichtmaier <nick@debian.org>  Tue, 30 Jan 2001 22:39:03 -0300

file (3.33-3) unstable; urgency=low

  * Code for detecting if an input stream is seekable assumed that lseek
    returns 0 on success, which is untrue, and file was copying every ELF
    file probed to a temporary file. Fixed (closes:Bug#82261).
    Found by Colin Watson <cjw44@flatline.org.uk>.
  * Uses -g only if debug is in the DEB_BUILD_OPTIONS variable.
  * Updated standards-version to 3.2.1.

 -- Nicolás Lichtmaier <nick@debian.org>  Mon, 15 Jan 2001 02:26:35 -0300

file (3.33-2) unstable; urgency=low

  * Added ELF magic for IBM AS/390 mainframe (closes:Bug#79575).
  * Fix from Adam Heat for very small .gz files and -z, I've also
    added NUL termination of the uncompressed buffer
    (closes:Bug#16837,Bug#36724,Bug#37838).
  * If the file is ELF and is not seekable, `file' will now copy
    it to a temporary file because the ELF code needs to fseek
    everywhere in the file. The idea was from Adam Heath <adam@doogie.org>.
    (closes:Bug#28964,Bug#70629).

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 07 Jan 2001 23:38:58 -0300

file (3.33-1) unstable; urgency=low

  * New upstream release (closes:Bug#67970). Fixes:
    * Recognizes Berkeley DB files (closes:Bug#18821).
    * Tries to recognize EBCDIC encoded files (closes:Bug#31949).
    * lif files recognized in LE systems (closes:Bug#78261).
  * Contributions from Wolfram Kleff (closes:Bug#56667).
    * Changed pgp armored data to pgp armored *text*.
    * Added GEM image and metafile from.
    * Added Vivo video format.
    * Added STAD packed image.
    * Added AFX compressed files.
    * Added GFA-BASIC 3 data.
    * Added ICE and X11 authority data.
  * Added magic for DJGPP compiled files from Robert vd Boon
    (closes:Bug#70600).
  * Changed file for data here and there (closes:Bug#35851).
  * Added Sketch document (closes:Bug#67511).
  * Added SMJPEG (image format used in games) (closes:Bug#62224).
  * Added magic for Sony PlayStation executables (closes:Bug#31310).
  * Added other way of detecting perl scripts (closes:Bug#45426).
  * Fixed detection of MP3 files with the new -i option.
  * Adapted Debian patch to include long-options alternatives for the
    new -k and -i options. Updated the manpage.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 10 Dec 2000 19:02:07 -0300

file (3.28-1) unstable; urgency=low

  * New upstream release. Fixes:
    * A serious attempt to detect JPEG is done now, but the
      format seems to be not very magic friendly (closes:Bug#31950).
    * DB2 magic added (closes:Bug#19097).
  * Added another case combination for the detection of HTML files
    (closes:Bug#45326).
  * Improved newly added xml detection (eg: added XSL stylesheets detection).
  * Some magic files weren't being included, modified Makefile.am.
    The files now included are jpeg, grace, mcrypt, palm and spectrum.

 -- Nicolás Lichtmaier <nick@debian.org>  Tue, 28 Dec 1999 00:58:01 -0300

file (3.27-7) unstable; urgency=low

  * Added entry for recently announced new LSM file format.
  * Removed README.Debian and folded it into the copyright file
    (closes:Bug#53069).

 -- Nicolás Lichtmaier <nick@debian.org>  Fri, 24 Dec 1999 20:23:48 -0300

file (3.27-6) unstable; urgency=low

  * Applied patch with improvements to magi2mime
    from J.H.M. Dassen (Ray) <ray@cistron.nl> (closes:Bug#51399).
  * Added some Windows magic from Pavel Machek <pavel@bug.ucw.cz>
    (closes:Bug#31023).
  * Added magic for PCX, Adobe's PSD, MS Word, and replaced
    magic for kernel detection with contributions from
    Wolfram Kleff <kleff@cs.uni-bonn.de> (closes:Bug#46781).
  * Added magic for Linux kernel System.map files.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 12 Dec 1999 17:09:08 -0300

file (3.27-5) unstable; urgency=low

  * Put docs and manpages under /usr/share.
  * Updated `Standards-Version' to 3.1.0.
  * Added contributed magic for `Smith Corona Personal Word Processors'
    (closes:Bug#45704).
  * Added magic for X-Post-it (closes:Bug#43031).
  * Improved detection of MS-DOS batch files a bit (closes:Bug#50205).

 -- Nicolás Lichtmaier <nick@debian.org>  Mon, 15 Nov 1999 01:09:13 -0300

file (3.27-4) unstable; urgency=low

  * It was not reading /etc/magic.
  * Updated manpage to say that local magic entries are read from
    and should be written to /etc/magic.

 -- Nicolás Lichtmaier <nick@debian.org>  Sat, 10 Jul 1999 19:40:17 -0300

file (3.27-3) unstable; urgency=low

  * Added detection of SIDPlay audio files (closes: Bug#35564, Bug#35483).
  * Added "#include <errno.h>" to compress.c (closes: Bug#37705).
  * Fixed tiny typos in README (closes: Bug#38877).
  * Added magic for Atari ST executables from Wolfram Kleff
    <kleff@cs.uni-bonn.de>.
  * Added formats for some communications standards contributed by
    W. Borgert <debacle@debian.org> (closes: Bug#34542, Bug#34779).
  * Removed detection of format `Fasttracker "oktalyzer" module sound data'.
    It was just 2 bytes at offset 0 and generated false positives
    (closes: Bug#36704).
  * Added detection of MPEG audio level 2.5 and improved messages for level
    3 (mp3) contributed by Wolfram Kleff <kleff@cs.uni-bonn.de>
    (closes: Bug#40733).
  * Added audio/midi to magic2mime.
  * Readded magic2mime to package. It was removed by mistake.

 -- Nicolás Lichtmaier <nick@debian.org>  Sat, 10 Jul 1999 03:11:45 -0300

file (3.27-2) unstable; urgency=low

  * Removed detection of unstriped binaries. Patch from
    Sean Perry <shaleh@debian.org>. Fixes bugs #38407, #38417, 38419.
  * Added detection of NITF files from jrv@vanzandt.mv.com.
    Fixes bug #38452.
  * No longer includes Localstuff in /usr/share/misc/magic. Local
    definitions should go to /etc/magic.

 -- Nicolás Lichtmaier <nick@debian.org>  Fri, 28 May 1999 00:39:32 -0300

file (3.27-1) unstable; urgency=low

  * New upstream release. Fixes bugs #36786, #30692,
    #29353 (added shockwave/flash files).
  * Removed detection of "OS/2 URL objects": too general.
  * Truncates \n on output. file's outputs MUST be one line per file.
    Fixes bugs #34439, #34290, #35222, #32305, #32302, #30875.

 -- Nicolás Lichtmaier <nick@debian.org>  Tue, 25 May 1999 21:50:13 -0300

file (3.26-2) frozen unstable; urgency=low

  * Moved x86 boot sector detection after linux kernel detection.
    Fixes bug #24185.
  * Added kernel version extraction for newer kernels.
  * Removed `,' from GIF description's end.
  * Changed version shown to 3.26-Debian, as this version is different from
    upstream.
  * Added manpage for magic2mime.
  * Added more mime types for magic2mime and some fixes for the script.
  * Switched to debhelper.

 -- Nicolás Lichtmaier <nick@debian.org>  Wed, 20 Jan 1999 02:08:24 -0300

file (3.26-1) frozen unstable; urgency=low

  * New upstream release. Upstream author included many Debian enhancements
    and added some minor fixes. Fixes bug #30692. Bug #30875 was fixed in
    previous NMU.
  * Fixed autoconf use.

 -- Nicolás Lichtmaier <nick@debian.org>  Wed, 20 Jan 1999 03:15:45 +0000

file (3.24-4.2) frozen unstable; urgency=HIGH

  * NMU:
    Fix critical bugs #31031 and #31057.

 -- Vincent Renardias <vincent@waw.com>  Wed, 06 Jan 1999 01:51:15 +0100

file (3.24-4.1) frozen unstable; urgency=low

  * Non-maintainer release.
  * Add patch so "\n"-style escapes work (closes:Bug#22854).

 -- Joel Klecker <espy@debian.org>  Sun, 13 Dec 1998 16:44:18 -0800

file (3.24-4) frozen unstable; urgency=low

  * Added `-f' to an rm that might obstaculize automatic builds,
    fixes bug #19970.
  * Removed very old Debian package detection that caused files starting
    with 0.9 to show no description at all, fixes bugs #19657 and #19677.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sun, 22 Mar 1998 23:18:34 -0300

file (3.24-3) unstable; urgency=low

  * Small fix in online help.
  * Changed `Standards-version' to 2.4.0.0 (no changes required).
  * Moved /usr/share/magic to /usr/share/misc/magic, fixes bug #18639.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sun, 08 Mar 1998 14:28:45 -0300

file (3.24-2) unstable; urgency=low

  * Fixed upstream completely broken configure.in (wasn't showing special
    files major & minor numbers).
  * Included upsstream magic2mime in the binary package.
  * Added more HTML tokns to names.h.
  * Added lzop compressd files definition, contributed
    by Paolo Molaro <lupus@lettere.unipd.it>.
  * Moved magic data to /usr/share/magic (not a conffile). /etc/magic will
    be used for local magic definitions.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Tue, 24 Feb 1998 21:21:59 -0300

file (3.24-1) unstable; urgency=low

  * names.h: Added HTML.
  * New upstream release.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sat, 21 Feb 1998 00:47:11 -0300

file (3.23-1) unstable; urgency=low

  * Added long version for the new option `-b' (`--brief'). Added long
    option to manpage. Added the option to the usge message (`--help').
  * Added GNU message catalog magic, contributed
    by Santiago Vila Doncel <sanvila@unex.es>, fixes bug #14743.
  * Removed duplcated entry for romfs, fixes bug #13977.
  * New upstream release, fixes bug #17830.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Thu, 19 Feb 1998 00:12:32 -0300

file (3.20.1-8) unstable; urgency=low

  * Added magic for Octave contributed
    by Dirk Eddelbuettel <edd@rosebud.sps.queensu.ca>
  * names.h: Added detectionn of Java source code.
  * softmagic.c: When converting endianness only swap bytes if needed.
  * Use %m instead of strerr.
  * Added magic for WordPerfect files, contributed
    by Scott K. Ellis <ellis@charon.valueweb.net>.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Fri, 10 Oct 1997 17:22:27 -0300

file (3.20.1-7) unstable; urgency=low

  * Changed maintainer address.
  * Added filesystems and Linux86 magic, contributed
    by Juan Cespedes <cespedes@debian.org>, fixes #13279.
  * Keep files' date.
  * Added GIMP file formats, contributed
    by Kenneth MacDonald <kenny@ed.ac.uk>.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Wed, 09 Jul 1997 00:22:38 -0300

file (3.20.1-6) unstable; urgency=low

  * Minor changes to debian/rules.
  * Modified manpage.
  * Added `--help' option.
  * Added magic data for vgetty voice formats (thanks to
    David Engel <david@sw.ods.com>).
  * Arguments to a printf casted to long long, fixes #10779.

 -- Nicolás Lichtmaier <nick@feedback.com.ar>  Mon, 23 Jun 1997 20:21:58 -0300

file (3.20.1-5) unstable; urgency=low

  * Added Linux kernel boot image version detection for new kernels.
  * Removed `-Wall' warnings.
  * Added "DEC SRC Virtual Paper: Lectern files" type,
    contributed by Karl M. Hegbloom <karlheg@inetarena.com>.
  * Removed useless RCS ids.
  * Corrected compilation flags.
  * Don't try to keep file modification time, it changed file status change
    time. And it's more natural a change in access time than in file status
    change time. Fixes bug #7920.
  * Minor fix to manpage.

 -- Nicolás Lichtmaier <nick@feedback.com.ar>  Wed, 18 Jun 1997 21:55:49 -0300

file (3.20.1-4) unstable; urgency=low

  * Built with libc6.

 -- Nicolás Lichtmaier <nick@feedback.com.ar>  Wed, 18 Jun 1997 00:09:58 -0300

file (3.20.1-3) unstable; urgency=low

  * Removed information about who created the /etc/magic file.
  * Removed creation date from /etc/magic. This changed the md5sum of this
    conffile every release.
  * Man page updated.
  * Added long options support.

 -- Nicolás Lichtmaier <nick@feedback.com.ar>  Tue, 11 Mar 1997 15:19:43 -0300

file (3.20.1-2) unstable; urgency=low

  * Improved MS applications' docuemts detection (#4473).
  * Added Steve McIntyre's contributed formats (#6735).
  * New upstream release has fixed bugs #5777 #5838 and #6656 . All
    reporting that file didn't detect Java's .class.
  * My name is Nicolás. Fixes #7238 (!).

 -- Nicolás Lichtmaier <nick@feedback.com.ar>  Wed, 12 Feb 1997 02:53:42 -0300

file (3.20.1-1) unstable; urgency=low

  * Added LSM files detection.
  * Clarified header of /etc/magic.
  * Added detection of creation time for .deb's.
  * Added detection of 2.1.x kernels.
  * Upstream fix to handle \n in arguments to string format broke
    description that expected \n to end the string. Changed file
    to discard \n's and following text at print time.
  * Upstream changelog included.
  * New upstream release

 -- Nicolás Lichtmaier <nick@feedback.com.ar>  Sun, 9 Feb 1997 23:41:39 -0300

file (3.19-7) unstable; urgency=low

  * Corrected section in control file.
  * New maintainer.

 -- Nicolás Lichtmaier <nick@feedback.com.ar>  Sun, 9 Feb 1997 21:49:19 -0300

file (3.19-6) unstable; urgency=low

  * Added detection of pcap data files (like used by tcpdump) Peter Tobias
    <tobias@et-inf.fho-emden.de>
  * Removed signal detection from core files. Doesn't work for ELF binaries
    Peter Tobias <tobias@et-inf.fho-emden.de>.
  * Changed to new source format.

 -- Nicolás Lichtmaier <nick@feedback.com.ar>  Mon, 3 Feb 1997 20:11:00 -0300

file (3.19-5)

  * Change of maintainer and updated for multi-architecture build (fixes Bug #3332)
  * Un-right-justified the description field
  * Move entry for debian packages to the correct spot and update it for debian 2.0 packages (fixes Bug #3411)
  * Add entry for TrueType fonts to Magdir/fonts

 -- Darren Stalder  <torin@daft.com>, Mon Jul  8 23:07:21 1996

file (3.19-4)
  * added entry for Adobe Postscript PPD files in Magdir/ppd.

file (3.19-3)
  * added entry for linux kernal images to source file Magdir/linux

file (3.19-2)
  * add MAGIC=/etc/magic to make(1) invocation
  * change maintainer email address

file (3.19-1)
  * added debian.* files
  * modified Magdir/archive to add debian-split entry to ar archives
  * modified magdir/elf to add more entry for core file
